slicebefore_arg Struct Reference

## Data Fields

VALUE | sep_pred
VALUE | sep_pat
VALUE | state
VALUE | prev_elts
VALUE | yielder

## Detailed Description

Definition at line 2426 of file enum.c.

## Field Documentation

VALUE slicebefore_arg::prev_elts

Definition at line 2430 of file enum.c.

Referenced by slicebefore_i(), and slicebefore_ii().

VALUE slicebefore_arg::sep_pat

Definition at line 2428 of file enum.c.

Referenced by enum_slice_before(), slicebefore_i(), and slicebefore_ii().

VALUE slicebefore_arg::sep_pred

Definition at line 2427 of file enum.c.

Referenced by slicebefore_i(), and slicebefore_ii().

VALUE slicebefore_arg::state

Definition at line 2429 of file enum.c.

Referenced by slicebefore_i(), and slicebefore_ii().

VALUE slicebefore_arg::yielder

Definition at line 2431 of file enum.c.

Referenced by slicebefore_i(), and slicebefore_ii().

The documentation for this struct was generated from the following file:

- enum.c